//
// Copyright (C) 1999-2004 Toshikaz Hirabayashi
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// TOSHIKAZ HIRABAYASHI BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
// OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//
// Except as contained in this notice, the name of Toshikaz Hirabayashi shall
// not be used in advertising or otherwise to promote the sale, use or other
// dealings in this Software without prior written authorization from
// Toshikaz Hirabayashi.

#include <WScom.h>
#include <WSDdragDrop.h>

//クラス情報初期化
WSMFclassInit(WSDdragDrop,WSDres);

static WSDdragDrop* theAppDragDrop = NULL;
static WSDdragDrop* (*_create_handler)() = NULL;

WSDdragDrop* WSGIappDragDrop(){
  if (theAppDragDrop == NULL){
    if (_create_handler != NULL){
      theAppDragDrop = _create_handler();
    }else{
WSMFtrace("WSDdragDrop Warring. this system does not support.\n");
      theAppDragDrop = new WSDdragDrop;
    }
  }
  return theAppDragDrop;
}


//WSDdragDrop::WSDdragDrop(){
//}

//WSDdragDrop::~WSDdragDrop(){
//}

void WSDdragDrop::setCreateHandler(WSDdragDrop* (*hd)()){
  _create_handler = hd;
}

long WSDdragDrop::registerDragSite(WSCbase*,char*){
WSMFtrace("WSDdragDrop::resiterDragSite  this system does not support.\n");
  return WS_ERR;
}

long WSDdragDrop::unregisterDragSite(WSCbase*){
WSMFtrace("WSDdragDrop::unresiterDragSite  this system does not support.\n");
  return WS_ERR;
}

long WSDdragDrop::registerDropSite(WSCbase*,char*,void(*)(WSCbase*,WSCbase*)){
WSMFtrace("WSDdragDrop::resiterDropSite  this system does not support.\n");
  return WS_ERR;
}

long WSDdragDrop::unregisterDropSite(WSCbase*){
WSMFtrace("WSDdragDrop::unresiterDropSite  this system does not support.\n");
  return WS_ERR;
}


